curl --request POST \
--url https://api.birdeye.com/resources/v1/aggregation/competitor/{compAccountId}/{businessNumber} \
--header 'Content-Type: application/json' \
--data '
{
"sourceAlias": "citysearch ",
"url": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco"
}
'import requests
url = "https://api.birdeye.com/resources/v1/aggregation/competitor/{compAccountId}/{businessNumber}"
payload = {
"sourceAlias": "citysearch ",
"url": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sourceAlias: 'citysearch ',
url: 'http://www.citysearch.com/biz/maria-da-vittorio-san-francisco'
})
};
fetch('https://api.birdeye.com/resources/v1/aggregation/competitor/{compAccountId}/{businessNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 237030543,
"sourceAlias": "citysearch",
"sourceName": "Citysearch",
"sourceUrl": "http://www.citysearch.com/biz/maria",
"sourceId": 2,
"compAccountId": 1765,
"Body": ""
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Add Aggregation Link
Add new Competitor Aggregation URL adds an aggregation URL for a competitor location.
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Id of the business.
Competitor Account Id.
Response
OK
Id of the created Aggregation.
Alias of the source.
Name of the source.
Url of the souce.
Id of the source.
Competitor account id.
{ "id": 140179308, "sourceId": 2, "compAccountId": 1765, "sourceUrl": "https://www.google.com/maps/place/Rama+Sai+Medical+Store/@28.4390976,76.9596497,11z/data=!4m8!1m2!2m1!1sreviews+google!3m4!1s0x390d04b550d23f2d:0x7e948cb85612d0!8m2!3d28.61074!4d77.0798476", "sourceName": "Google", "thumbnailUrl": "source/icons/2.png", "backGroundColor": "#dd4b39", "textColor": "#ffffff", "userName": null, "password": null, "profileId": null, "reviewFormUrl": "https://www.google.com/maps/place/Rama+Sai+Medical+Store/@28.4390976,76.9596497,11z/data=!4m8!1m2!2m1!1sreviews+google!3m4!1s0x390d04b550d23f2d:0x7e948cb85612d0!8m2!3d28.61074!4d77.0798476", "aggregationStatus": 3, "sourceAlias": "google", "disabledAggregation": null, "disabledAggregationReason": null }